मैं अपने वर्तमान नेटवर्क सेटअप को फैब्रिक 1.4.2 से 2.0 में अपग्रेड करने का प्रयास कर रहा हूं। हमारे पास कुबेरनेट्स सेटअप है। मैं प्रलेखन में देखता हूं कि पहले हमें peer node upgrade-dbs का उपयोग करके पीयर डेटाबेस को अपग्रेड करना होगा और फिर पीयर शुरू करना होगा। लेकिन चूंकि यह कमांड पीयर वर्जन 1.4.2 के साथ मौजूद नहीं है, इसलिए मैं इसे रनिंग पीयर पॉड से नहीं कर सकता। जब मैंने सहकर्मी छवि को 2.0 संस्करण में बदलने की कोशिश की तो मुझे त्रुटि के बाद त्रुटि मिली। Error in instantiating ledger provider: unexpected format. db info = [leveldb for channel-IDs at [/var/hyperledger/production/ledgersData/ledgerProvider]], data format = [], expected format = [2.0]

मैं पीयर डेटाबेस को कैसे अपग्रेड कर सकता हूं और कुबेरनेट्स में पीयर पॉड शुरू कर सकता हूं?

0
GPC 14 अप्रैल 2020, 17:26

1 उत्तर

सबसे बढ़िया उत्तर

मैंने अपने मैन्युअल रूप से काउचडीबी डेटाबेस को हटाने और फिर 2.0 छवि के साथ सहकर्मी को शुरू करने की समस्या का समाधान किया

0
GPC 17 अप्रैल 2020, 09:45